Bug 999643 - Allow case number to be added on the screen where you submit a vmcore
Summary: Allow case number to be added on the screen where you submit a vmcore
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: TestCaseProvided
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-21 18:43 UTC by Dave Wysochanski
Modified: 2015-03-23 00:42 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 18:58:02 UTC


Attachments (Terms of Use)

Description Dave Wysochanski 2013-08-21 18:43:11 UTC
Description of problem:
The page where you submit a vmcore should contain a box to put the case #, instead of having to go to the screen after the vmcore has been submitted.
Today you can add the email notification on this screen, but it would be nice to have the case # on the same screen so people don't miss entering it, and it's only a single submission.
Example:
http://optimus.gsslab.rdu2.redhat.com/manager/00888576-1374608956-vmcore.tar.gz

This RFE came from one of our SEG members in the GSS kernel group who deals with vmcores a lot.

Version-Release number of selected component (if applicable):
retrace-server-1.9-6.el6.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Go to the manager web page
2. Click one of the vmcores on the left to open the page to submit it.

Actual results:
The 'case #' field is not there, but you have to enter it on the next page.

Expected results:
Allow the case # to be entered at the time of vmcore submission along with the email notification and kernel VRA.

Additional info:
I have not looked at how hard this would be to implement.

Comment 1 Michal Toman 2013-09-20 11:29:34 UTC
Fixed in upstream

commit 9e4a2b6af35e78d49725160f51911548bf3c4187
Author: Michal Toman <mtoman@redhat.com>
Date:   Fri Sep 20 13:27:36 2013 +0200

    manager: allow set case no. when creating task

Comment 2 Fedora Update System 2014-02-27 13:46:31 UTC
retrace-server-1.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.11-1.el6

Comment 3 Fedora Update System 2014-03-01 07:11:34 UTC
Package retrace-server-1.11-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing retrace-server-1.11-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0687/retrace-server-1.11-1.el6
then log in and leave karma (feedback).

Comment 4 Dave Wysochanski 2014-03-07 20:31:24 UTC
This has definitely been fixed.  You can see the 'Case no.' field on the screen now when you go to submit the vmcore:

Comment 6 Fedora Update System 2014-07-31 11:52:45 UTC
retrace-server-1.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.12-2.el6

Comment 7 Fedora Update System 2014-08-15 18:58:02 UTC
retrace-server-1.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.